# eric5.Helpviewer.Network.NoCacheHostsDialog

Module implementing a dialog to manage the list of hosts not to be cached.

### Global Attributes

None

### Classes

NoCacheHostsDialog | Class implementing a dialog to manage the list of hosts not to be cached.

### Functions

None

## NoCacheHostsDialog

Class implementing a dialog to manage the list of hosts not to be cached.

### Derived from

QDialog, Ui_NoCacheHostsDialog

### Class Attributes

None

### Class Methods

None

### Methods

NoCacheHostsDialog | Constructor
accept | Public method to accept the dialog data.
on_addButton_clicked | Private slot to add an entry to the list.

### Static Methods

None

#### NoCacheHostsDialog (Constructor)

NoCacheHostsDialog(parent=None)

Constructor

parent
  reference to the parent widget (QWidget)

#### NoCacheHostsDialog.accept

accept()

Public method to accept the dialog data.

#### NoCacheHostsDialog.on_addButton_clicked

on_addButton_clicked()

Private slot to add an entry to the list.

Up